O'Reilly logo

XML Publishing with AxKit by Kip Hampton

Stay ahead with the world's most comprehensive technology and business learning platform.

With Safari, you learn the way you learn best. Get unlimited access to videos, live online training, learning paths, books, tutorials, and more.

Start Free Trial

No credit card required

Installing the AxKit Core

Now that you have an environment for AxKit to work in and have some of the required dependencies installed, you are ready to install AxKit itself. For most platforms this is a fairly painless operation.

Using the CPAN Shell

The quickest way to install AxKit is via Perl’s Comprehensive Perl Archive Network (CPAN) and the CPAN shell. Log in as root (or become superuser) and enter the following:

$ perl -MCPAN -e shell
> install AxKit

This downloads, unpacks, compiles, and installs all modules in the AxKit distribution, as well as any prerequisite Perl modules you may need. If AxKit installs without error, you may safely skip to Section 2.4. If it doesn’t, see Section 2.6 for more information.

From the Tarball Distribution

The latest AxKit distribution can always be found on the Apache XML site at http://xml.apache.org/dist/axkit/. Just download the latest tarball, unpack it, and cd to the newly created directory. As root, enter the following:

 $ perl Makefile.PL
 $ make
 $ make test
 $ make install

This compiles and installs all modules in the AxKit distribution. Just like the CPAN shell method detailed above, AxKit’s installer script automatically attempts to install any module prerequisites it encounters. If make stops this process with an error, skip on to Section 2.6 for help. Otherwise, if everything goes smoothly, you can skip ahead to Section 2.4.

In addition to the stable releases available from CPAN and axkit.org, the latest development version is available from ...

With Safari, you learn the way you learn best. Get unlimited access to videos, live online training, learning paths, books, interactive tutorials, and more.

Start Free Trial

No credit card required